Bug 613543 - Nautilus don't start with tortoisehg-nautilus
Nautilus don't start with tortoisehg-nautilus
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nautilus-python (Show other bugs)
14
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Patrick Dignan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-12 04:14 EDT by Wolfgang Ulbrich
Modified: 2012-08-19 13:51 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:31:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Ulbrich 2010-07-12 04:14:10 EDT
Description of problem:
In fedora rawhide (fc14) i can't start nautilus anymore.

Version-Release number of selected component (if applicable):


How reproducible:
In a terminal as root gives that error message:

[root@mother rave]# nautilus --browser

Gtk-ERROR **: GTK+ 3 symbols detected. Using GTK+ 2.x and GTK+ 3 in the same process is not supported
aborting...
Trace/Breakpoint ausgelöst

In a terminal as a normal user gives that error message:

[rave@mother ~]$ nautilus --browser
Gtk-Message: Failed to load module "gail-gnome": libgail-gnome.so: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden

** (nautilus:4926): WARNING **: AT-SPI: Accessibility bus not found - Using session bus.

Initializing nautilus-gdu extension
Nautilus module initialize
nautilus_module_list_types()
Initializing nautilus-open-terminal extension
Initializing nautilus-search-tool extension
** Message: pygobject_register_sinkfunc is deprecated (GtkWindow)
** Message: pygobject_register_sinkfunc is deprecated (GtkInvisible)
** Message: pygobject_register_sinkfunc is deprecated (GtkObject)
/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: cannot register existing type `GtkObject'
  from gtk import _gtk
/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: g_type_register_static: assertion `parent_type > 0' failed
  from gtk import _gtk
/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: g_once_init_leave: assertion `initialization_value != 0' failed
  from gtk import _gtk
/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: g_type_get_qdata: assertion `node != NULL' failed
  from gtk import _gtk
Speicherzugriffsfehler

My nautilus version is:

[root@mother rave]# yum list nautilus\*
Installierte Pakete
nautilus.x86_64                                       2.31.4-1.fc14                                     @rawhide
nautilus-extensions.x86_64                            2.31.4-1.fc14                                     @rawhide
nautilus-open-terminal.x86_64                         0.19-0.1.32a1da0160git.fc14                       @rawhide
nautilus-python.x86_64                                0.6.1-1.fc13                                      @rawhide
nautilus-search-tool.x86_64                           0.3.0-7.fc14       

Steps to Reproduce:
1.starting nautilus --browser in a terminal
2.
3.
  
Actual results:
nautilus didn't start

Expected results:


Additional info:
Comment 1 Tomáš Bžatek 2010-07-21 10:34:28 EDT
Everything works fine with nautilus-2.31.5-2.fc14, can you test this version please? Most probably the problem is caused by some extension, try disabling it one by one and reassign this bug to particular component when you find the bad one. Try removing nautilus-search-tool or nautilus-python first.
Comment 2 Wolfgang Ulbrich 2010-07-21 12:56:28 EDT
First thx for attention :-)
I used already nautilus-2.31.5-2.fc14, so i uninstall all extensions of nautilus.
At this point nautilus starts as a normal user, but when i try to start nautilus as root i get this error.

[root@mother rave]# nautilus

Gtk-ERROR **: GTK+ 3 symbols detected. Using GTK+ 2.x and GTK+ 3 in the same process is not supported
aborting...
Trace/Breakpoint ausgelöst

After installing the nautilus extensions that i need i find out, that 'tortoisehg-nautilus-1.1.1.1.fc14.x86_64' make's problems. With them i can't start nautilus as a normal user.

So we have 2 proplems, one with 'tortoisehg' and the other that nautilus don't start with root permisions by me. So it make's no sence to reassign this bug to particular component.
Comment 3 Wolfgang Ulbrich 2010-07-21 13:26:45 EDT
i find out some cracy thing.
If i start nautilus as root with the command:

[root@mother ~]# /usr/bin/nautilus
Gtk-Message: Failed to load module "gail-gnome": libgail-gnome.so: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden

** (nautilus:3558): WARNING **: AT-SPI: Accessibility bus not found - Using session bus.

Initializing nautilus-gdu extension
Nautilus module initialize
nautilus_module_list_types()
Initializing nautilus-image-converter extension
Initializing nautilus-open-terminal extension
Initializing nautilus-search-tool extension

Nautilus starts fine as root, but the normal command

[root@mother ~]# nautilus

Gtk-ERROR **: GTK+ 3 symbols detected. Using GTK+ 2.x and GTK+ 3 in the same process is not supported
aborting...
Trace/Breakpoint ausgelöst

don't work!

But with '/usr/bin/nautilus' as root my desktop-background changed to the standard theme from the root acount!!!

Is this normal?
Comment 4 Tomáš Bžatek 2010-07-22 09:37:06 EDT
(In reply to comment #3)
> Nautilus starts fine as root, but the normal command
> 
> [root@mother ~]# nautilus
What does `which nautilus` say to you?

> But with '/usr/bin/nautilus' as root my desktop-background changed to the
> standard theme from the root acount!!!
> 
> Is this normal?    
That's completely normal, you're running application under different user which has own settings. And nautilus handles root pixmap (the background).

Anyway, you shouldn't really run Gnome applications under different user than your active desktop session, many things will break (a dbus limitation). This is not supported.

So if nautilus works as normal user after removing tortoisehg-nautilus, please reassign.
Comment 5 Wolfgang Ulbrich 2010-07-24 04:13:24 EDT
(In reply to comment #4)
> > [root@mother ~]# nautilus
> What does `which nautilus` say to you?
[root@mother rave]# which nautilus
/usr/sbin/nautilus
So, i've solved the prob :-)
For starting nautilus as root i used this 'todo' to create a symlink with consolehelper. http://www.fedorawiki.de/index.php/Nautilus_als_root_starten
In this 'todo' i made
cp /usr/bin/nautilus /usr/sbin/nautilus
So after un update from nautilus i had a old version of nautilus in /usr/sbin/nautilus.
I delete this old version and make a symlink to /usr/bin/nautilus, and now nautilus starting fine as root.

> So if nautilus works as normal user after removing tortoisehg-nautilus, please
> reassign.    
Yes, i will do it......and nautilus is alive.
Comment 6 Mads Kiilerich 2010-07-24 21:32:53 EDT
TortoiseHg packager here.

raveit65, can you please start this report from scratch, tell what the problem is now and provide all the information that still applies and leave out what now can be forgotten?

Could you please try to temporarily change your session language to the default (english) before capturing output? (It seems like it isn't enough to run nautilus with LANG=C...)

I notice that you are using nautilus-python.x86_64 0.6.1-1.fc13 which apparently haven't been rebuild for f14 and python 2.7? Can you verify if installing other python/nautilus plugins such as rabbitvcs-nautilus also causes problems?
Comment 7 Wolfgang Ulbrich 2010-07-25 07:53:01 EDT
Ok, the problem is that i can't start nautilus if i have installed 'tortoisehg-nautilus'.
Yes, i'm using nautilus-python.x86_64 0.6.1-1.fc13. I installed 'tortoisehg-nautilus' again and changed my session language.

[rave@mother ~]$ nautilus
Gtk-Message: Failed to load module "gail-gnome": libgail-gnome.so: cannot open shared object file: No such file or directory

** (nautilus:2693): WARNING **: AT-SPI: Accessibility bus not found - Using session bus.

Initializing nautilus-gdu extension
Nautilus module initialize
nautilus_module_list_types()
Initializing nautilus-image-converter extension
Initializing nautilus-open-terminal extension
Initializing nautilus-search-tool extension
/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: cannot register existing type `GtkObject'
  from gtk import _gtk
/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: g_type_register_static: assertion `parent_type > 0' failed
  from gtk import _gtk
/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: g_once_init_leave: assertion `initialization_value != 0' failed
  from gtk import _gtk
/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: g_type_get_qdata: assertion `node != NULL' failed
  from gtk import _gtk
Segmentation fault

Now i uninstall tortoisehg-nautilus and install rabbitvcs-nautilus.
Then i get this error message, i think it's the same like above.

[rave@mother ~]$ nautilus
Gtk-Message: Failed to load module "gail-gnome": libgail-gnome.so: cannot open shared object file: No such file or directory

** (nautilus:2714): WARNING **: AT-SPI: Accessibility bus not found - Using session bus.

Initializing nautilus-gdu extension
Nautilus module initialize
nautilus_module_list_types()
Initializing nautilus-image-converter extension
Initializing nautilus-open-terminal extension
Initializing nautilus-search-tool extension
/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: cannot register existing type `GtkObject'
  from gtk import _gtk
/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: g_type_register_static: assertion `parent_type > 0' failed
  from gtk import _gtk
/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: g_once_init_leave: assertion `initialization_value != 0' failed
  from gtk import _gtk
/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: g_type_get_qdata: assertion `node != NULL' failed
  from gtk import _gtk
Segmentation fault

Without rabbitvcs-nautilus and tortoisehg-nautilus the output look's like this, and nautilus starts fine.

[rave@mother ~]$ nautilus
Gtk-Message: Failed to load module "gail-gnome": libgail-gnome.so: cannot open shared object file: No such file or directory

** (nautilus:2727): WARNING **: AT-SPI: Accessibility bus not found - Using session bus.

Initializing nautilus-gdu extension
Nautilus module initialize
nautilus_module_list_types()
Initializing nautilus-image-converter extension
Initializing nautilus-open-terminal extension
Initializing nautilus-search-tool extension

If you need more info......?
Comment 8 Mads Kiilerich 2010-07-25 08:45:24 EDT
CCing rabbitvcs-nautilus packager - they do apparently have the same problem.
Comment 9 Mads Kiilerich 2010-07-25 08:50:53 EDT
Two independent packages using nautilus-python gets exactly the same crash. That looks a lot like a nautilus-python issue. Especially because it looks a lot like bug 609562 (and bug 613137). And also because there is no f14 build of nautilus-python on http://koji.fedoraproject.org/koji/packageinfo?packageID=2605 , which is extra strange because of http://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild .

Reassigning to nautilus-python.
Comment 10 Patrick Dignan 2010-07-25 13:40:49 EDT
That rebuild is only a partial mass rebuild.  It seems nautilus-python was not included in the rebuild.  

I've updated to the latest upstream version, and I've just concluded testing with tortoise-hg on F13, and it seems to work fine.  Some testing in rawhide would be excellent.  You can find the koji build here: https://koji.fedoraproject.org/koji/buildinfo?buildID=186405

Note that nautilus-python has not been ported to Gtk3 yet, so that may be part of the issue as well, since I see some complaints about that in the logs.
Comment 11 Wolfgang Ulbrich 2010-07-25 15:19:43 EDT
I have tested the two new versions of nautilus-python from koji in fc14.
With nautilus-python-0.6.1-2.fc14 and tortoisehg-nautilus installed:

[rave@mother ~]$ nautilus
Gtk-Message: Failed to load module "gail-gnome": libgail-gnome.so: cannot open
shared object file: No such file or directory

** (nautilus:2714): WARNING **: AT-SPI: Accessibility bus not found - Using
session bus.

Initializing nautilus-gdu extension
Nautilus module initialize
nautilus_module_list_types()
Initializing nautilus-image-converter extension
Initializing nautilus-open-terminal extension
Initializing nautilus-search-tool extension
/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: cannot
register existing type `GtkObject'
  from gtk import _gtk
/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py:40: Warning:
g_type_register_static: assertion `parent_type > 0' failed
  from gtk import _gtk
/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py:40: Warning:
g_once_init_leave: assertion `initialization_value != 0' failed
  from gtk import _gtk
/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py:40: Warning:
g_type_get_qdata: assertion `node != NULL' failed
  from gtk import _gtk
Segmentation fault

With nautilus-python-0.7.0-1.fc14.x86_64.rpm and tortoisehg-nautilus installed:

[rave@mother ~]$ nautilus
Gtk-Message: Failed to load module "gail-gnome": libgail-gnome.so: cannot open
shared object file: No such file or directory

** (nautilus:2714): WARNING **: AT-SPI: Accessibility bus not found - Using
session bus.

Initializing nautilus-gdu extension
Nautilus module initialize
nautilus_module_list_types()
Initializing nautilus-image-converter extension
Initializing nautilus-open-terminal extension
Initializing nautilus-search-tool extension
/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: cannot
register existing type `GtkObject'
  from gtk import _gtk
/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py:40: Warning:
g_type_register_static: assertion `parent_type > 0' failed
  from gtk import _gtk
/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py:40: Warning:
g_once_init_leave: assertion `initialization_value != 0' failed
  from gtk import _gtk
/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py:40: Warning:
g_type_get_qdata: assertion `node != NULL' failed
  from gtk import _gtk
Segmentation fault

So the problem is still exits in fc14 with the new packages.
Are the new packages compiled with python-2.6 or python-2.7 ?
Comment 12 Patrick Dignan 2010-07-25 16:15:02 EDT
The new packages are compiled with python-2.6.  I can build one against 2.7, if you want.  I'm going to try to install rawhide so I can do testing of this.
Comment 13 Patrick Dignan 2010-07-25 16:24:57 EDT
Here's a scratch build against python-2.7: http://koji.fedoraproject.org/koji/taskinfo?taskID=2349939
Comment 14 Mads Kiilerich 2010-07-25 16:44:04 EDT
Oh. So 2.7 is still in a "branch" in rawhide, and this issue has nothing to do with 2.7. (The lack of rawhide/2.7 build did however look like a bug somewhere.)

That makes gtk2/3 issues my primary suspect. But I notice that the warning has gone?

(I also don't have a rawhide system for testing.)
Comment 15 Patrick Dignan 2010-07-25 17:20:22 EDT
I'll be trying to get one setup either tonight or sometime this week, as time allows, hopefully I'll be able to work the issue out.  If it's a Gtk2 vs Gtk3 issue it will most likely take some time to fix.
Comment 16 Wolfgang Ulbrich 2010-07-26 15:01:57 EDT
I'm not able to test the new versions under fc14, because.....

[root@mother fc14]# rpm -ivh nautilus-python-0.7.0-1.fc14.x86_64.rpm 
Fehler: Fehlgeschlagende Abhängigkeiten:
	libpython2.7.so.1.0()(64bit) wird benötigt von nautilus-python-0.7.0-1.fc14.x86_64
[root@mother fc14]# rpm -ivh nautilus-python-0.7.0-2.fc14.x86_64.rpm 
Fehler: Fehlgeschlagende Abhängigkeiten:
	libpython2.7.so.1.0()(64bit) wird benötigt von nautilus-python-0.7.0-2.fc14.x86_64

For this i need 'libpython2.7.so.1.0()(64bit)' and python-2.7 isn't yet in rawhide repository.
Comment 17 Bug Zapper 2010-07-30 08:31:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Wolfgang Ulbrich 2010-07-31 02:21:05 EDT
I 've been updated my fc14 to python-2.7 and installed nautilus-python-0.7.0-2.fc14.x86_64.rpm.
But i got the same error if i try to start nautilus with tortoisehg-nautilus.
Comment 19 Luke Hutchison 2010-08-06 01:52:20 EDT
Same problem launching totem on Rawhide:

After lots of libpeas messages like:

Totem-Message: peas_plugin_info_get_module_name (info) screenshot, to activate

I get:

/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: cannot register existing type `GtkObject'
  from gtk import _gtk
/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: g_type_register_static: assertion `parent_type > 0' failed
  from gtk import _gtk
/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: g_once_init_leave: assertion `initialization_value != 0' failed
  from gtk import _gtk
/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: g_type_get_qdata: assertion `node != NULL' failed
  from gtk import _gtk
Segmentation fault (core dumped)
Comment 20 Wolfgang Ulbrich 2010-08-10 10:17:24 EDT
Good news,
nautilus working again if i've installed tortoisehg-nautilus.
I don't know really what's happend, but maybe it has something to do with the new downgraded version of nautilus.

Versions installed:

nautilus-2.31.5-3.really.2.30.1.fc14.x86_64
tortoisehg-nautilus-1.1.2-1.fc14.x86_64
tortoisehg-1.1.2-1.fc14.x86_64
nautilus-python-0.7.0-2.fc14.x86_64
Comment 21 Tomáš Bžatek 2010-08-10 10:21:43 EDT
(In reply to comment #20)
> Good news,
> nautilus working again if i've installed tortoisehg-nautilus.
> I don't know really what's happend, but maybe it has something to do with the
> new downgraded version of nautilus.
> 
> Versions installed:
> 
> nautilus-2.31.5-3.really.2.30.1.fc14.x86_64
Yes, nautilus goes back to gtk2 for F14 due to recent Gnome 3 changes. However rawhide stays on gtk3, make sure it works there.
Comment 22 Mads Kiilerich 2010-08-10 14:44:21 EDT
(Upstream tortoisehg are switching to qt, and the nautilus plugin will be EOL'ed at the same time. So I doubt that tortoisehg will ever work with gtk3, no matter where the cause of this issue is.)
Comment 23 Fedora End Of Life 2012-08-16 18:31:23 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 24 Mads Kiilerich 2012-08-19 13:51:02 EDT
Should be fixed now - but only evident when using tortoisehg-nautilus-2.4.2-2 from testing.

Note You need to log in before you can comment on or make changes to this bug.